#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-LM2q43Omkl44wLo9OAnOSb
key:                  hoogle-5.0.18.4-LM2q43Omkl44wLo9OAnOSb
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  d3c3821c26ecfdf17a813a6c0b2a90a6
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-LM2q43Omkl44wLo9OAnOSb
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-7KAyoz665FX6hCYaBEoJHk
    aeson-2.1.2.1-1R35DvuKsJwFudsOlCM6yV base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.1.2-A4gJO8svmvJ2veOR7qZVA9
    blaze-markup-0.8.3.0-2v3zKydcbguCQAegSFUNCY bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.5-9fqCSsgtXVG2zpv5ZVEi4s
    conduit-extra-1.3.6-AEwfYIT97IN5iosArwGxsb containers-0.6.5.1
    crypton-connection-0.3.2-3XQU4R1nuYD8Q7RpqDwcIt deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.14-JZwVFNOTzAl9wNXhTRS6o8
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.3.0-7566tBsT9J8EFScR3Tb2Bc
    haskell-src-exts-1.23.1-75v8izXpGbt9Z3HTHAhPs5
    http-conduit-2.3.8.3-1nsQ6LY8l6ZCKHc2yiI82m
    http-types-0.12.4-B3znMwHTe3dL304Bd3IJgZ
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-GXzGVnDeO0b1NTJdvMEVkL
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-KmstXflnQjv6gmbW6LncUe
    resourcet-1.2.6-L3rnNUXQIyNIGkCgFQVXFM
    safe-0.3.21-4QyPpELCc0N1ZMTeAcwgiX
    storable-tuple-0.1-FpwjU0qJAgh1c89HYQzRRD
    tar-0.5.1.1-5EYCQaVq6PDAolrLcyZluX template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-JpuQqtBtNJVJrTb2Hr5sTx
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-HyaXkpW7aOFHhHqdwTfvZq
    wai-3.2.4-JJVI15W7E9rGAtOPSLOeBU
    wai-logger-2.4.0-CfMV3BDO0qC6fxF1fwwb51
    warp-3.3.30-DAHUlH7qmMW8GtlCwsSvsK
    warp-tls-3.4.4-LKuQok76OdCIQaySTcG9yc
    zlib-0.6.3.0-KXw1YjlC9QN908pTSJIti

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

